//H5O1 : java konsol programında toplam bayağıkesir sayisini sorduktan
//sonra ekrandan verilen sayıda bayağı kesiri giriniz ve
//ortalamalarını hesaplayınız.

//bu sınıf sinif degiskeni kompleksi boyutlu olarak çağırır
import java.io.*; //java girdi cikti sinifini cagir
import bayagikesir;


class H5O1
{
public static void main(String args[]) throws IOException
{
Text cin=new Text();
int n1,n2;
System.out.print("toplam bayağı kesir sayısı, n = ");
int n=cin.readInt();
bayagikesir sayi[]=new bayagikesir[n];
bayagikesir toplam=new bayagikesir();
int i;

for(i=0;i<sayi.length;i++)
{
System.out.print("bir bayagikesir giriniz : ");
n1=cin.readInt();
n2=cin.readInt();
sayi[i]=new bayagikesir(n1,n2);
}
for(i=0;i<sayi.length;i++)
{
  toplam.topla(sayi[i]);
}
System.out.println("Toplam  = "+toplam.toString());
toplam.bol(sayi.length);
 System.out.println("Ortalama = "+toplam.toString());
}
}
